| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jcdctmgr.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdct.h"`

Go to the source code of this file.

## Classes
struct | my_fdct_controller

## Macros
#define | JPEG_INTERNALS
#define | CONST_BITS 14
#define | DIVIDE_BY(a, b) if (a >= b) a /= b; else a = 0

## Typedefs
typedef my_fdct_controller * | my_fdct_ptr

## Functions
| start_pass_fdctmgr (j_compress_ptr cinfo)
| forward_DCT (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY sample_data, JBLOCKROW coef_blocks, JDIMENSION start_row, JDIMENSION start_col, JDIMENSION num_blocks)
| forward_DCT_float (j_compress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY sample_data, JBLOCKROW coef_blocks, JDIMENSION start_row, JDIMENSION start_col, JDIMENSION num_blocks)
| jinit_forward_dct (j_compress_ptr cinfo)

## Macro Definition Documentation

#define CONST_BITS 14

#define DIVIDE_BY | ( |  | a,
|  |  | b
| ) |  | if (a >= b) a /= b; else a = 0

#define JPEG_INTERNALS

Definition at line 14 of file jcdctmgr.c.

## Typedef Documentation

typedef my_fdct_controller* my_fdct_ptr

Definition at line 41 of file jcdctmgr.c.

## Function Documentation

forward_DCT | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | sample_data,
|  | JBLOCKROW | coef_blocks,
|  | JDIMENSION | start_row,
|  | JDIMENSION | start_col,
|  | JDIMENSION | num_blocks
| ) |  |

Definition at line 180 of file jcdctmgr.c.

forward_DCT_float | ( | j_compress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | sample_data,
|  | JBLOCKROW | coef_blocks,
|  | JDIMENSION | start_row,
|  | JDIMENSION | start_col,
|  | JDIMENSION | num_blocks
| ) |  |

Definition at line 270 of file jcdctmgr.c.

jinit_forward_dct | ( | j_compress_ptr | cinfo | ) |

Definition at line 345 of file jcdctmgr.c.

start_pass_fdctmgr | ( | j_compress_ptr | cinfo | ) |

Definition at line 54 of file jcdctmgr.c.